org.eclipse.wst.jsdt.chromium

## Interface UpdatableScript.FunctionNode<T extends UpdatableScript.FunctionNode<T>>

All Known Subinterfaces:
  UpdatableScript.NewFunctionNode, UpdatableScript.OldFunctionNode

Enclosing interface:
  UpdatableScript

    public static interface UpdatableScript.FunctionNode<T extends UpdatableScript.FunctionNode<T>>

A basic element of function change tree. Subtyped as `UpdatableScript.OldFunctionNode` and `UpdatableScript.NewFunctionNode`.

### Method Summary

All Methods Instance Methods Abstract Methods
`UpdatableScript.OldFunctionNode` `asOldFunction()`
`java.util.List<? extends T>` `children()`
`java.lang.String` `getName()`
`UpdatableScript.FunctionPositions` `getPositions()`

### Method Detail

#### getName

    java.lang.String getName()

#### getPositions

    UpdatableScript.FunctionPositions getPositions()

#### children

    java.util.List<? extends T> children()

#### asOldFunction

    UpdatableScript.OldFunctionNode asOldFunction()